Delete customer_cars by id
DELETE /obp/dynamic-entity/customer_cars/CUSTOMER_CARS_ID
OBPv4.0.0-dynamicEntity_deletecustomer_cars_ Roles: CanDeleteDynamicEntityRecord_customer_cars(per bank) _Customer_carsDynamic-EntityDynamic
Delete customer_cars by id
MethodRouting settings example:
<details>
{
"is_bank_id_exact_match":false,
"method_name":"dynamicEntityProcess",
"connector_name":"rest_vMar2019",
"bank_id_pattern":".*",
"parameters":[
{
"key":"entityName",
"value":"customer_cars"
}
{
"key":"url",
"value":"http://mydomain.com/xxx"
}
]
}
</details>
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
Example request body
{
"customer_identifier": "bc37e0fb-b75b-48d3-8fe9-c94ff064aa9a",
"manufacturer": "BMW"
}Example success response
{
"customer_cars": {
"customer_cars_id": "d8839721-ad8f-45dd-9f78-2080414b93f9",
"customer_identifier": "bc37e0fb-b75b-48d3-8fe9-c94ff064aa9a",
"manufacturer": "BMW"
}
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-10001: Incorrect json format.
- OBP-50000: Unknown Error.